Project

General

Profile

Actions

Bug #8116

closed

API docs for lifecycle environments are incorrect

Added by Adam Price over 9 years ago. Updated about 6 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
API
Target version:
Difficulty:
Triaged:
Yes
Fixed in Releases:
Found in Releases:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1130258
Description of problem:
The API docs for "POST /katello/api/environments" state the following about the "prior" parameter:

Name of an environment that is prior to the new environment in the chain. It has to be either 'Library' or an environment at the end of a chain.

The above is incorrect. The "prior" parameter is an integer value, and it references the ID of some other lifecycle environment.

Version-Release number of selected component (if applicable):
This is true on qetello02.usersys.redhat.com, which is running Satellite 6.0.3. The following software is installed:

  • apr-util-ldap-1.3.9-3.el6_0.1.x86_64
  • candlepin-0.9.23-1.el6_5.noarch
  • candlepin-common-1.0.1-1.el6_5.noarch
  • candlepin-scl-1-5.el6_4.noarch
  • candlepin-scl-quartz-2.1.5-5.el6_4.noarch
  • candlepin-scl-rhino-1.7R3-1.el6_4.noarch
  • candlepin-scl-runtime-1-5.el6_4.noarch
  • candlepin-selinux-0.9.23-1.el6_5.noarch
  • candlepin-tomcat6-0.9.23-1.el6_5.noarch
  • elasticsearch-0.90.10-4.el6sat.noarch
  • foreman-1.6.0.40-1.el6sat.noarch
  • foreman-compute-1.6.0.40-1.el6sat.noarch
  • foreman-gce-1.6.0.40-1.el6sat.noarch
  • foreman-libvirt-1.6.0.40-1.el6sat.noarch
  • foreman-ovirt-1.6.0.40-1.el6sat.noarch
  • foreman-postgresql-1.6.0.40-1.el6sat.noarch
  • foreman-proxy-1.6.0.27-1.el6sat.noarch
  • foreman-selinux-1.6.0.6-1.el6sat.noarch
  • foreman-vmware-1.6.0.40-1.el6sat.noarch
  • katello-1.5.0-28.el6sat.noarch
  • katello-ca-1.0-1.noarch
  • katello-certs-tools-1.5.6-1.el6sat.noarch
  • katello-installer-0.0.59-1.el6sat.noarch
  • openldap-2.4.23-32.el6_4.1.x86_64
  • pulp-katello-0.3-3.el6sat.noarch
  • pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
  • pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
  • pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
  • pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
  • pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
  • pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
  • pulp-server-2.4.0-0.30.beta.el6sat.noarch
  • python-ldap-2.3.10-1.el6.x86_64
  • ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
  • ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:
100%

Steps to Reproduce:
1. Go to http://qetello02.usersys.redhat.com/apidoc/v2/lifecycle_environments.html
2. Click on "POST /katello/api/environments".

Actual results:

Name of an environment that is prior to the new environment in the chain. It has to be either 'Library' or an environment at the end of a chain.

Expected results:

Lifecycle environment ID.

Additional info:
n/a

Actions #1

Updated by The Foreman Bot over 9 years ago

  • Status changed from New to Ready For Testing
  • Target version set to 59
  • Pull request https://github.com/Katello/katello/pull/4768 added
  • Pull request deleted ()
Actions #2

Updated by Eric Helms over 9 years ago

  • Category set to API
  • Translation missing: en.field_release set to 14
  • Triaged changed from No to Yes
Actions #3

Updated by Anonymous over 9 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100
Actions

Also available in: Atom PDF